
App.factory('Installer', function($http, Url) {

    var factory = {};

    factory.loadData = function() {
        return $http({
            method: 'GET',
            url: Url.get("installer/backoffice_module/load"),
            cache: true,
            responseType:'json'
        });
    };

    factory.copy = function(file) {

        return $http({
            method: 'GET',
            url: Url.get("installer/backoffice_module/copy", {file: file}),
            cache: false,
            responseType:'json'
        });
    };

    factory.install = function() {

        return $http({
            method: 'GET',
            url: Url.get("installer/backoffice_module/install"),
            cache: false,
            responseType:'json'
        });
    };

    return factory;
});
